Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/hmacsha1.h File Reference

HMAC-SHA-1 message authentication code, header. More...

`#include "hmac.h"`
`#include "sha1.h"`

Go to the source code of this file.

## Data Structures
struct | hmacsha1Param
## Functions
int | hmacsha1Setup (hmacsha1Param *sp, const uint32 *key, int keybits)
int | hmacsha1Reset (hmacsha1Param *sp)
int | hmacsha1Update (hmacsha1Param *sp, const byte *data, int size)
int | hmacsha1Digest (hmacsha1Param *sp, uint32 *data)
## Variables
const keyedHashFunction | hmacsha1

## Detailed Description

HMAC-SHA-1 message authentication code, header.

Definition in file hmacsha1.h.